Update the payment method settings of a project
PUT
Switches a payment method on or off for the project, and for cards, disables brands the contract allows.
apiKeyheader
AuthorizationBasic <token>HTTP Basic authentication with an admin API key as the username and an empty password.
merchant_id*stringThe ID of the merchant.
Format
uuidproject_id*stringThe ID of the project.
Format
uuidpayment_method*stringThe payment method, such as credit-card, apple-pay, google-pay, bancontact, swish or vipps-mobilepay.
application/json- body
enabled_by_merchant?booleanWhether the payment method is switched on for the project.
disabled_brands?array<>credit-card only: brands the contract allows but the merchant switched off.
The settings of the payment method.
application/json- response
enabled_by_merchant?booleanWhether the payment method is switched on for the project.
disabled_brands?array<>credit-card only: brands the contract allows but the merchant switched off.
curl -X PUT 'https://api.example.com/v1/admin/merchants/497f6eca-6276-4993-bfeb-53cbbbba6f08/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/settings/string/' \ --user "$API_KEY:" \ -H 'Content-Type: application/json' \ -d '{ "enabled_by_merchant": true, "disabled_brands": [ "maestro" ]}'{ "enabled_by_merchant": true, "disabled_brands": [ "amex" ]}